Subject: Re: RFC/Progress update: e1000e pci-express -only e1000 driver

From: "Kok, Auke" <[email-masked]>
Date: Sat, 28 Jul 2007 11:18:17 -0700

Jeff Garzik wrote:
> Andi Kleen wrote:
>> "Kok, Auke" <[email-masked]> writes:
>>
>>> * Removed all multi-queue code
>> Why? With David's new multi NAPI work it will finally make sense, won't it?
> 
> It will come back, most definitely.
> 
> Not speaking for Auke, but I'm pretty sure this falls under the category 
> of "start small and simple, get it into the tree rapidly."

on top of that it's trivial to add it back, is currently not even used (!) and 
just a remnant of earlier efforts.

PJ is working on getting a consistent multiqueue patch out and he will (once 
this driver is ready) write a proper patch to add it back after the driver gets 
merged.

Auke